//Source file: PAMAANotificationData.java
//Date: January 2004
//Presence and Availabilty Management Data Types for 3GPP TS 29.198-14 v5.4.0

package org.csapi.jr.se.pam;

/**
 * This is a Sequence of Data Elements to specify the data that is provided in the notifications for agent assignment events.
 * 
 */
public final class PAMAANotificationData implements java.io.Serializable {

    private String identity;
    private String agent;

    /**
     * Creates a new PAMAANotificationData instance.
     */
    public PAMAANotificationData () {}

    /**
     * Creates a new PAMAANotificationData instance.
     * @param _identity   Contains the name of the identity to whom an agent has been assigned.
     * @param _agent   Contains the name of the agent that has been assigned.
     */
    public PAMAANotificationData (String _identity, String _agent) {

        this.identity = _identity;
        this.agent = _agent;
    }

    /**
     * This method returns a identity.
     * 
     * @return a String value
     */
    public String getIdentity() {
        return identity;
    }

    /**
     * This method returns a agent.
     * 
     * @return a String value
     */
    public String getAgent() {
        return agent;
    }


    /**
     * This method sets a identity.
     */ 
    public void setIdentity(String identity) {
        this.identity = identity;
    }

    /**
     * This method sets a agent.
     */ 
    public void setAgent(String agent) {
        this.agent = agent;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof PAMAANotificationData)) {
            return false;
        } 
        PAMAANotificationData pAMAANotificationData = (PAMAANotificationData) o;
        if(!(this.identity == pAMAANotificationData.identity))  {
            return false;
        }
        if(!(this.agent == pAMAANotificationData.agent))  {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // PAMAANotificationData

