//Source file: PAMADNotificationData.java
//Date: January 2004
//Presence and Availabilty Management Data Types for 3GPP TS 29.198-14 v5.4.0

package org.csapi.jr.se.pam;

/**
 * This is a Sequence of Data Elements to specify the data that is provided in the notifications for agent deletion events.
 * 
 */
public final class PAMADNotificationData implements java.io.Serializable {

    private String[] agents;

    /**
     * Creates a new PAMADNotificationData instance.
     */
    public PAMADNotificationData () {}

    /**
     * Creates a new PAMADNotificationData instance.
     * @param _agents   Contains the names of the agents that have been deleted.
     */
    public PAMADNotificationData (String[] _agents) {

        this.agents = _agents;
    }

    /**
     * This method returns a agents.
     * 
     * @return a String[] value
     */
    public String[] getAgents() {
        return agents;
    }


    /**
     * This method sets a agents.
     */ 
    public void setAgents(String[] agents) {
        this.agents = agents;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof PAMADNotificationData)) {
            return false;
        } 
        PAMADNotificationData pAMADNotificationData = (PAMADNotificationData) o;
        if(!(this.agents == pAMADNotificationData.agents))  {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // PAMADNotificationData

