//Source file: PAMAUNotificationData.java
//Date: January 2004
//Presence and Availabilty Management Data Types for 3GPP TS 29.198-14 v5.4.0

package org.csapi.jr.se.pam;

/**
 * This is a Sequence of Data Elements to specify the data that is provided in the notifications for agent unassignment events.
 * 
 */
public final class PAMAUNotificationData implements java.io.Serializable {

    private String identity;
    private String agent;

    /**
     * Creates a new PAMAUNotificationData instance.
     */
    public PAMAUNotificationData () {}

    /**
     * Creates a new PAMAUNotificationData instance.
     * @param _identity   Contains the name of the identity from whom an agent has been unassigned.
     * @param _agent   Contains the name of the agent that has been unassigned.
     */
    public PAMAUNotificationData (String _identity, String _agent) {

        this.identity = _identity;
        this.agent = _agent;
    }

    /**
     * This method returns a identity.
     * 
     * @return a String value
     */
    public String getIdentity() {
        return identity;
    }

    /**
     * This method returns a agent.
     * 
     * @return a String value
     */
    public String getAgent() {
        return agent;
    }


    /**
     * This method sets a identity.
     */ 
    public void setIdentity(String identity) {
        this.identity = identity;
    }

    /**
     * This method sets a agent.
     */ 
    public void setAgent(String agent) {
        this.agent = agent;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof PAMAUNotificationData)) {
            return false;
        } 
        PAMAUNotificationData pAMAUNotificationData = (PAMAUNotificationData) o;
        if(!(this.identity == pAMAUNotificationData.identity))  {
            return false;
        }
        if(!(this.agent == pAMAUNotificationData.agent))  {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // PAMAUNotificationData

