//Source file: PAMAVCNotificationData.java
//Date: January 2004
//Presence and Availabilty Management Data Types for 3GPP TS 29.198-14 v5.4.0

package org.csapi.jr.se.pam;

/**
 * This is a Sequence of Data Elements to specify the data that is provided in the notifications for availability changed events.
 * 
 */
public final class PAMAVCNotificationData implements java.io.Serializable {

    private String identity;
    private org.csapi.jr.se.pam.PAMAvailabilityProfile[] availability;

    /**
     * Creates a new PAMAVCNotificationData instance.
     */
    public PAMAVCNotificationData () {}

    /**
     * Creates a new PAMAVCNotificationData instance.
     * @param _identity   Contains the name of the identity whose capability has changed.
     * @param _availability   Contains the availability information that has changed.
     */
    public PAMAVCNotificationData (String _identity, org.csapi.jr.se.pam.PAMAvailabilityProfile[] _availability) {

        this.identity = _identity;
        this.availability = _availability;
    }

    /**
     * This method returns a identity.
     * 
     * @return a String value
     */
    public String getIdentity() {
        return identity;
    }

    /**
     * This method returns a availability.
     * 
     * @return a org.csapi.jr.se.pam.PAMAvailabilityProfile[] value
     */
    public org.csapi.jr.se.pam.PAMAvailabilityProfile[] getAvailability() {
        return availability;
    }


    /**
     * This method sets a identity.
     */ 
    public void setIdentity(String identity) {
        this.identity = identity;
    }

    /**
     * This method sets a availability.
     */ 
    public void setAvailability(org.csapi.jr.se.pam.PAMAvailabilityProfile[] availability) {
        this.availability = availability;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof PAMAVCNotificationData)) {
            return false;
        } 
        PAMAVCNotificationData pAMAVCNotificationData = (PAMAVCNotificationData) o;
        if(!(this.identity == pAMAVCNotificationData.identity))  {
            return false;
        }
        if(!(this.availability == pAMAVCNotificationData.availability))  {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // PAMAVCNotificationData

