//Source file: PAMAvailabilityProfile.java
//Date: January 2004
//Presence and Availabilty Management Data Types for 3GPP TS 29.198-14 v5.4.0

package org.csapi.jr.se.pam;

/**
 * This is a Sequence of Data Elements containing the list of attribute values as determined by the definition of the context for which the availability is provided.
 * 
 */
public final class PAMAvailabilityProfile implements java.io.Serializable {

    private String privacyCode;
    private org.csapi.jr.se.pam.PAMPresenceData availabilityData;

    /**
     * Creates a new PAMAvailabilityProfile instance.
     */
    public PAMAvailabilityProfile () {}

    /**
     * Creates a new PAMAvailabilityProfile instance.
     * @param _privacyCode   Contains the privacy codes
     * @param _availabilityData   Contains a list of presence attributes
     */
    public PAMAvailabilityProfile (String _privacyCode, org.csapi.jr.se.pam.PAMPresenceData _availabilityData) {

        this.privacyCode = _privacyCode;
        this.availabilityData = _availabilityData;
    }

    /**
     * This method returns a privacyCode.
     * 
     * @return a String value
     */
    public String getPrivacyCode() {
        return privacyCode;
    }

    /**
     * This method returns a availabilityData.
     * 
     * @return a org.csapi.jr.se.pam.PAMPresenceData value
     */
    public org.csapi.jr.se.pam.PAMPresenceData getAvailabilityData() {
        return availabilityData;
    }


    /**
     * This method sets a privacyCode.
     */ 
    public void setPrivacyCode(String privacyCode) {
        this.privacyCode = privacyCode;
    }

    /**
     * This method sets a availabilityData.
     */ 
    public void setAvailabilityData(org.csapi.jr.se.pam.PAMPresenceData availabilityData) {
        this.availabilityData = availabilityData;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof PAMAvailabilityProfile)) {
            return false;
        } 
        PAMAvailabilityProfile pAMAvailabilityProfile = (PAMAvailabilityProfile) o;
        if ((this.availabilityData != null) && (pAMAvailabilityProfile.availabilityData != null)) {
            if(!(this.availabilityData.equals(pAMAvailabilityProfile.availabilityData))) {
                return false;
            }
        }
        if(!(this.privacyCode == pAMAvailabilityProfile.privacyCode))  {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // PAMAvailabilityProfile

