//Source file: EventNotifyErrEvent.java
//Date: January 2004
//Presence and Availabilty Management Interfaces for 3GPP TS 29.198-14 v5.4.0

package org.csapi.jr.se.pam.event;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the eventNotifyErr() method on the callback interface 
 * has occured.<BR>
 *
 */
public final class EventNotifyErrEvent extends java.util.EventObject {

    /**
     * Constructor for the EventNotifyErrEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public EventNotifyErrEvent(java.lang.Object source,
        int                             eventID,
        org.csapi.jr.se.pam.PAMErrorInfo errorInfo) {

        super(source);
      this.eventID = eventID;
      this.errorInfo = errorInfo;
 
    }

    int                             eventID;

    /**
     *  This method is used to retrieve the parameter value of 'eventID' passed up
     *  from the Gateway in it's call to the eventNotifyErr() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'eventID' used on creation of this event.
     */
    public int getEventID() {

        return this.eventID;
    }
       
    org.csapi.jr.se.pam.PAMErrorInfo errorInfo;

    /**
     *  This method is used to retrieve the parameter value of 'errorInfo' passed up
     *  from the Gateway in it's call to the eventNotifyErr() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'errorInfo' used on creation of this event.
     */
    public org.csapi.jr.se.pam.PAMErrorInfo getErrorInfo() {

        return this.errorInfo;
    }
       
}

