//Source file: PAMEventHandlerListener.java
//Date: January 2004
//Presence and Availabilty Management Interfaces for 3GPP TS 29.198-14 v5.4.0

package org.csapi.jr.se.pam.event;

/**
 * This interface is to be implemented for receiving events issued by the PAMEventHandler service object.<BR>
 *
 */
public interface PAMEventHandlerListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the eventNotify() method on 
    * the callback interface.
    *
    *
    *
    * @param  eventNotifyEvent  Reference to a EventNotifyEvent event 
    *        emmited from the impl or activity object. 
    */
    void onEventNotifyEvent(org.csapi.jr.se.pam.event.EventNotifyEvent eventNotifyEvent);


   /**
    * Called due to a Gateway initiated call to the eventNotifyErr() method on 
    * the callback interface.
    *
    *
    *
    * @param  eventNotifyErrEvent  Reference to a EventNotifyErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onEventNotifyErrEvent(org.csapi.jr.se.pam.event.EventNotifyErrEvent eventNotifyErrEvent);

}

